import { request } from '../utils/request'

export function originatorList(data:any) {
  return request({
    url: '/consumer/inspectionRecord/originator/list',
    method: 'POST',
    data
  })
}

export function inspectedList(data:any) {
  return request({
    url: '/consumer/inspectionRecord/inspectedPerson/list',
    method: 'POST',
    data
  })
}

export function deal(data:any) {
  return request({
    url: '/consumer/inspectionRecord/inspectedPerson/deal',
    method: 'POST',
    data
  })
}

export function defaultConfig(data:any) {
  return request({
    url: '/consumer/inspectionRecord/inspectedPerson/defaultConfig',
    method: 'POST',
    data
  })
}

export function defaultConfigFind() {
  return request({
    url: '/consumer/inspectionRecord/inspectedPerson/defaultConfigFind',
    method: 'GET'
  })
}

export function apply(data:any) {
  return request({
    url: '/consumer/inspectionRecord/originator/apply',
    method: 'POST',
    data
  })
}

export function timeCheck() {
  return request({
    url: '/consumer/inspectionRecord/originator/timeCheck',
    method: 'GET'
  })
}
